=== debian/changelog ===
kbd (1.06-2) unstable; urgency=low

  * Changed Maintainer: field to wart@debian.org
  * Applied patch by Ben Collins, (Closes: #110616)

 -- Wartan Hachaturow <wart@debian.org>  Wed, 30 Jan 2002 14:01:28 +0300

kbd (1.06-1) unstable; urgency=low

  * New upstream release.
  * Reapplied patches - looks like I forgot to send them upstream...
  * Moved added files to debian/ dir.

 -- Yann Dirson <dirson@debian.org>  Sun, 20 May 2001 02:39:19 +0200

kbd (1.05-4) unstable; urgency=high

  * Run script for which we rely on ouput under LC_ALL=POSIX (Closes:
    #94019).

 -- Yann Dirson <dirson@debian.org>  Fri, 20 Apr 2001 00:43:08 +0200

kbd (1.05-3) unstable; urgency=medium

  * Install kbdrate in /sbin instead of /usr/bin, and version the
    replacement of util-linux (Closes: #88868).

 -- Yann Dirson <dirson@debian.org>  Thu,  8 Mar 2001 12:48:58 +0100

kbd (1.05-2) unstable; urgency=low

  * Added clarifying message to postinst.
  * Stop adding a kbdconfig.8 link to undocumented.
  * Added to build-deps: bison, flex, gettext (Closes: #88091).

 -- Yann Dirson <dirson@debian.org>  Fri,  2 Mar 2001 17:47:06 +0100

kbd (1.05-1) unstable; urgency=low

  * The "Duplicate any bugs introduced in console-tools before they had a
    chance to be reported" release.
  * New upstream release:
  ** New programs: kbdrate outpsfheader psfxtable setlogcons.
  ** iso-8859-15 support (Closes: #56241).
  * Replaces util-linux because we now provide kbdrate.
  * Re-applyed a couple of patches:
  ** Support for console-data suffixes (.kmap, .sfm).
  ** Do not have ld strip binaries.
  ** Fixed handling of DESTDIR to something more standard (and which does
    not forget loadkeys location).
  ** re-added fonts.magic and Euro READMEs.
  * Added build-depends.
  * Added open compat symlink to openvt. Now provides/conflicts with old
    "open" package.
  * Updated for use with console-common, using console-tools 0.2.3-19 as a
    model (Closes: #57196):
  ** Updated relationships with other packages.
  ** Removed kbdconfig, install-keymap, and init.d/keymaps.sh.
  ** Updated postinst.
  ** Removed preinst (Closes: #87858).
  ** Removed debconf templates.
  ** Removed all traces of the ancient times when we shipped kbd-data.
  * Alcove earned to be copyright holder by providing me with time to work
    on this package; mentionned this in the copyright file.
  * Updated upstream location in copyright file.

 -- Yann Dirson <dirson@debian.org>  Wed, 28 Feb 2001 15:44:44 +0100

kbd (0.99-11) unstable; urgency=low

  * Behave correctly in preinst if any dir whose contents should be moved
    is empty (Closes: #61707).
  * Behave correctly in preinst if usr/local/share/keytables exists and
    /usr/local/share/keymaps does not (Same as #60917).
  * Replaced interpreter path in fix_bs_and_del example to match real path
    to loadkeys (#60073).

 -- Yann Dirson <dirson@debian.org>  Mon, 10 Apr 2000 02:12:10 +0200

kbd (0.99-10) unstable; urgency=high

  * Upload to woody - I would have liked to fix more
    things, but potato-only upload broke things in woody.
  * Reverted -9 changes for woody.

 -- Yann Dirson <dirson@debian.org>  Thu, 24 Feb 2000 23:22:46 +0100

kbd (0.99-9) frozen; urgency=low

  * Disable debconf support for potato; this is needed together with
    console-data_1999.08.29-11 which fixes 3 RC bugs in potato.  This
    includes:
    - comment out debconf stuff in postinst and preinst.
  * templates file was not installed !  Added a commented out line in
    debian/rules that would do that if not commented out, so that it does
    not get forgotten in woody.

 -- Yann Dirson <dirson@debian.org>  Sat, 19 Feb 2000 23:16:26 +0100

kbd (0.99-8) unstable; urgency=low

  * Added version on console-data dep.
  * Fallback to kbdconfig whenever db_get fails (Closes: #53008).

 -- Yann Dirson <dirson@debian.org>  Sat, 18 Dec 1999 16:53:15 +0100

kbd (0.99-7) unstable; urgency=low

  * Include shared/keymap/keymap_filename in templates file, so that
    postinst does not fail when console-data is not there yet (Closes:
    #52562 and others).

 -- Yann Dirson <dirson@debian.org>  Tue, 14 Dec 1999 21:49:38 +0100

kbd (0.99-6) unstable; urgency=medium

  * Use .kmap extension when looking for default keymap, to match the
    results of kbdconfig (Closes: #47795, #50431).
  * Rename (in preinst) an existing default .map file as .kmap if no .kmap
    is here yet.
  * Sync'ed preinst with bugfixes from console-tools.
  * Also sync'ed postinst for consistency.
  * Import console-tools keymap when reverting to kbd (who does that ?).
  * Use __sparc__ define where relevant (Closes: #50023).
  * Debconf support for console-data keymaps.

 -- Yann Dirson <dirson@debian.org>  Tue, 30 Nov 1999 00:32:58 +0100

kbd (0.99-5) unstable; urgency=low

  * Fixed Dependencies again :(

 -- Yann Dirson <dirson@debian.org>  Sun, 17 Oct 1999 17:11:06 +0200

kbd (0.99-4) unstable; urgency=HIGH

  * Changed default keymap names to use .kmap extension.
  * Depends on console-data, instead of only Recommending it (Closes:
    #47460, #47472, #47473, #47481, #47504).  Thanks to Thomas Quinot for
    the diagnostic.
  * Added a comment note in kbdconfig about the need this script has for a
    data package to be installed when it is ran.
  * Get rid of old kludges in favor of clean and readable syntax for some
    tests in kbdconfig.
  * Bumped Standards-Version to 3.0.1.

 -- Yann Dirson <dirson@debian.org>  Fri, 15 Oct 1999 23:33:09 +0200

kbd (0.99-3) unstable; urgency=low

  * Added .trans to "screen maps" (Font-to-Screen Maps, aka FCM) suffix
    list, so that it can use those from console-data.
  * Moved config conffile into debian/conffiles.d/ to avoid name conflict
    with debconf support in debhelper.
  * Moved /usr/doc to /usr/share.
  * Removed postinst fixups of pre-hamm unstable breakages.
  * Removed predends support check from preinst.
  * Do not install spawn_* any more.

