=== debian/control ===
Source: kbd
Section: utils
Priority: extra
Maintainer: Wartan Hachaturow <wart@debian.org>
Build-Depends: debhelper (>= 2.0.40), linuxdoc-tools, bison, flex, gettext
Standards-Version: 3.0.1

Package: kbd
Architecture: any
Depends: ${shlibs:Depends}, sysvinit (>= 2.74), console-common, debconf (>= 0.5), dpkg (>= 1.4.0.21)
Recommends: console-data (>= 1999.08.29-13)
Provides: console-utilities, open
Conflicts: console-utilities, kbd-data, open
Replaces: open, util-linux (<< 2.11)
Description: Linux console font and keytable utilities.
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 It now contains the `openvt' program, formerly known as `open'.
 .
 It now contains the `kbdrate' program, formerly part of the `util-linux'
 package.
