## kbd 1.15.2

=== debian/changelog ===
kbd (1.15.2-3ubuntu4) precise; urgency=low

  * Fix cross-building (LP: #872422):
    - Use dh_auto_configure.
    - Pass CC=$(DEB_HOST_GNU_TYPE)-gcc when cross-building contrib.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 21:54:20 +0100

kbd (1.15.2-3ubuntu3) precise; urgency=low

  * Build-depend on gettext:any, since we only need it to run tools at
    build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 02:17:56 +0100

kbd (1.15.2-3ubuntu2) precise; urgency=low

  * Pre-Depend on a sufficient version of dpkg for dpkg-maintscript-helper.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Feb 2012 14:51:26 +0000

kbd (1.15.2-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #779388). Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Depend on console-setup, and remove config file; we now only
      support systems using console-setup and so it no longer serves
      a purpose. The removed config file for console-screen has changed
      names from /etc/init.d/console-screen.kbd.sh to /etc/init.d/kbd.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter. (In case the foreground
      console is in raw mode.)
    - Add a 'setvtrgb' utility to configure vt/console colors.
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes needed.
    - Update Build-Depends for debhelper to version 8.1.0.
  * Simplify maintainer scripts for conffile removal, using new
    features in updated version of debhelper.
  * Add 'setvtrgb' manpage to man8 makefile, so it will install.
  * debian/rules: Move 'setvtrgb' binary to extra binaries, as udeb
    binaries are now handled differently.

 -- Allison Randal <allison@canonical.com>  Tue, 10 May 2011 14:10:03 +0200

kbd (1.15.2-3) unstable; urgency=low

  * Bump Priority: to optional (while downgrading console-tools to extra),
    closes: #591146.
  * Change my e-mail address in Uploaders:, debian/copyright and patches.
  * Update debian/copyright format to the current revision of DEP-5.
  * Patch manpages:
    - Document that the -e switch requires openvt to be a session leader,
      closes: #610373.
    - Give in to lintian concerning the *superflous typo in mk_modmap(8).
  * Breaks: util-linux (<< 2.11) instead of conflicting with it, as per Policy
    7.6.1: This was because of kbdrate moving packages.

 -- Michael Schutte <michi@debian.org>  Sat, 19 Feb 2011 11:38:00 +0100

kbd (1.15.2-2) unstable; urgency=low

  * New patch compose_as_usual: Fix the Unicode conversion of the internal
    “compose as usual” table with “loadkeys -u”, closes: #600006.
  * Prefer console-setup over console-data and console-common.  This is part
    of a d-i related fix and helps avoid that both console-setup-udeb and
    console-data ask the user for their preferred keyboard layout (by simply
    not installing console-data by default).  Thanks to Julien Cristau,
    closes: #606186.
  * Package housekeeping:
    - Upgrade Standards-Version: to 3.9.1, no changes necessary.
    - Package-Type: no longer needs an XC- prefix.
    - Add ${misc:Depends} to kbd-udeb as well.

 -- Michael Schutte <michi@uiae.at>  Wed, 08 Dec 2010 00:04:20 +0100

kbd (1.15.2-1) unstable; urgency=low

  * New upstream release.
    - The vcstime and cast_align patches have been merged.  They are
      removed from the .debian.tar.gz.
    - Drop the install_exec patch; this problem has been fixed in this
      version’s build system.
  * Do not regenerate configure in debian/rules.
  * Minor changes to debian/copyright (most recent DEP 5 draft).
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Remove the Greek translation in gr.po.  The correct 639-1 code is
    “el”; el.po exists as a more recent version of gr.po.
  * Ship only selected files from the doc/ directory, as most files are
    outdated and useless to the vast majority of users.  Remove
    README.Euro and LISEZMOI.Euro from the debian/ directory.
  * Register the font-formats documentation with doc-base.
  * Convert debian/rules to the more idiomatic format with override_*
    targets and depend on debhelper >= 7.0.50.

 -- Michael Schutte <michi@uiae.at>  Sun, 25 Apr 2010 19:28:19 +0200

kbd (1.15.1-3) unstable; urgency=low

  * New patch vcstime: /dev/vcs or /dev/vcs0 may act as console memory
    devices.  Before, only the latter file was considered in vcstime, causing
    it to fail on recent systems.
  * Mention the possibility of having vcstime run by kbd.init in
    /etc/kbd/config.
  * kbd.init: Remove some pointless code in the vcstime stanza.
  * kbd.init: The X-Start-Before hack is no longer needed as all init scripts
    with a Should-Start on console-screen have added kbd, closes: #563608.

 -- Michael Schutte <michi@uiae.at>  Sun, 24 Jan 2010 19:50:42 +0100

kbd (1.15.1-2) unstable; urgency=low

  * New patch cast_align: Fix an FTBFS on some architectures caused by an
    alignment error after casting a (char *) to a (struct psf2_header *) which
    has members aligned to more than a byte, closes: #558492.  The patch has
    been imported from the kbd upstream VCS.

 -- Michael Schutte <michi@uiae.at>  Thu, 03 Dec 2009 19:03:22 +0100

kbd (1.15.1-1) unstable; urgency=low

  * New upstream release.
    - The auto_convert, compile_on_sparc, keysyms, and showconsolefont_spaces
      patches have been merged.  They are removed from the .debian.tar.gz.
  * This upload converts the package to the 3.0 (quilt) source format.  The
    build-dependency on quilt, the patch/unpatch logic in debian/rules and
    the debian/README.source file have been removed.
  * kbd.init: If Upstart is used, get TTY information from /etc/init/tty*.conf
    rather than /etc/inittab, closes: #549317.
  * New patch kbd_mode: Change the misleading “default (ASCII) mode” message

