## kbd 1.15.3

=== debian/changelog ===
kbd (1.15.3-9ubuntu4) raring; urgency=low

  * Use autotools-dev to update config.guess and config.sub automatically.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 09 Feb 2013 00:08:33 +0000

kbd (1.15.3-9ubuntu3) raring; urgency=low

  * Revert build-dependency from gettext:any to gettext, now that gettext is
    Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2012 15:18:21 +0000

kbd (1.15.3-9ubuntu2) raring; urgency=low

  * Restore setvtrgb to kbd-udeb, since rootskel uses it.  This appears to
    have been lost in 1.15.2-3ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Nov 2012 12:41:46 +0000

kbd (1.15.3-9ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Depend on console-setup, and remove config file; we now only support
      systems using console-setup and so it no longer serves a purpose. The
      removed config file for console-screen has changed names from
      /etc/init.d/console-screen.kbd.sh to /etc/init.d/kbd.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 23:47:28 +0100

kbd (1.15.3-9) unstable; urgency=low

  * Revert the build-dependency change towards gettext:any and let the buildds
    do their work again, closes: #670778.

 -- Michael Schutte <michi@debian.org>  Sun, 29 Apr 2012 09:43:38 +0200

kbd (1.15.3-8) unstable; urgency=low

  * Set debian/compat to 9 and build-depend on debhelper >= 9.
  * Support cross-building, closes: #670653.  Thanks to Colin Watson
    <cjwatson@ubuntu.com> for the patch.
    - Allow the gettext build-dep to be satisfied by a package of any
      architecture.
    - Use dh_auto_configure.
    - Explicitly set the host CC to cross-build the contrib binaries.
  * Trigger font setup when any of CONSOLE_FONT, CONSOLE_MAP, or FONT_MAP are
    present in /etc/kbd/config, closes: #647153.
  * Point Format: in debian/copyright to the 1.0 version of the
    machine-readable copyright spec.
  * Update manpages.diff: Minor fixes to the setleds(1) manual page, closes:
    #663252.  Thanks to Bjarni Ingi Gislason <bjarniig@rhi.hi.is> for the
    patch.
  * Provide a no-op “status” option for /etc/init.d/kbd.
  * Bump Standards-Version: to 3.9.3, no changes necessary.

 -- Michael Schutte <michi@debian.org>  Sat, 28 Apr 2012 11:47:07 +0200

kbd (1.15.3-7ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Depend on console-setup, and remove config file; we now only support
      systems using console-setup and so it no longer serves a purpose. The
      removed config file for console-screen has changed names from
      /etc/init.d/console-screen.kbd.sh to /etc/init.d/kbd.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.
    - Fix cross-building:
      + Use dh_auto_configure.
      + Pass CC=$(DEB_HOST_GNU_TYPE)-gcc when cross-building contrib.
  * Fix some previous mismerges and tidy up Ubuntu-specific patches.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Apr 2012 16:52:36 +0100

kbd (1.15.3-7) unstable; urgency=low

  * Use dpkg-buildflags to pass build options on to the configure
    script; build-depend on dpkg-dev >= 1.16.1 accordingly.
  * Set debian/compat to 8 and build-depend on debhelper >= 8.
  * Don’t depend on console-setup | console-common to break up a
    dependency loop.  The default configuration does not require any
    files from console-data (which is pulled in through console-common)
    or console-setup, so this should be a safe change.  Both packages
    are still alternatives in Recommends:.
  * Package relationship cleanup:
    - Drop minimum version from the console-data recommendation (the
      mentioned revision is from 2001).
    - Don’t Breaks:/Replaces: util-linux (relevant revisions before
      early 2001).
    - Don’t conflict with kbd-data, which hasn’t been around since
      Slink.
    - Get rid of all mentions of “open” (from the Slink era too).  This
      name is only provided by console-tools and kbd these days, which
      already conflict via console-utilities.  There also aren’t any
      dependencies on it in the archive.
  * Fix some deviations from DEP 5 in debian/copyright.
  * Rename patch openvt_error_handling to openvt and update it to not
    exit with a zero status code if there was an invocation error,
    closes: #642324.

 -- Michael Schutte <michi@debian.org>  Fri, 23 Sep 2011 22:54:08 +0200

kbd (1.15.3-6) unstable; urgency=low

  * Experimentally drop reset_vga_palette from /etc/init.d/kbd, closes:
    #637277.
  * Build for Architecture: linux-any to help clean up Not-For-Us.

 -- Michael Schutte <michi@debian.org>  Mon, 22 Aug 2011 20:57:00 +0200

kbd (1.15.3-5) unstable; urgency=low

  * Move away from topgit: Export the patches to debian/patches/ one
    last time and maintain them with quilt in the future.
  * Use the occasion to make the patch headers more DEP-3-y.
  * Add a manual page for setvtrgb(1) introduced in 1.15.3.

