## kbd 1.15.5

=== debian/changelog ===
kbd (1.15.5-2) unstable; urgency=medium

  * Not updating to the new upstream version 2.0.2, as it contains major
    changes (including a shared object for most of dumpkeys' and loadkeys'
    features) and we're close to the freeze.
  * /etc/init.d/kbd: More accurately detect allocated ttys in /etc/inittab,
    closes: #744973.
  * /etc/init.d/kbd: Instead of checking for console access based on fgconsole
    and the file behind FD 0, use the test_console function from
    console-setup's setupcon.  This makes the script run even under systemd,
    closes: #750631.
  * /etc/init.d/kbd: Parse /etc/systemd/logind.conf, if available, to find the
    list of VTs to configure.
  * README.Debian: Information on console-setup and its predecessors, closes:
    #750814.  Thanks to Osamu Aoki for the patch.
  * debian/rules: Remove the -u parameter from dh_installinit, as update-rc.d
    no longer supports the “start” option.
  * Fix a few typos in debian/copyright, courtesy of lintian.
  * Update Standards-Version to 3.9.6, no source changes required.
  * Medium urgency upload so we get a couple of days in testing before the
    freeze.

 -- Michael Schutte <michi@debian.org>  Sat, 25 Oct 2014 19:46:15 +0200

kbd (1.15.5-1) unstable; urgency=low

  * New upstream release.
    - Drop the loadkeys_stdin patch introduced in 1.15.3-2 (included in this
      version).
    - The kbd tarball now ships with a basic implementation of vlock.  This
      program will not be included in the binary package.
    - resizecons is now built and installed on amd64, closes: #692014.  Also
      amend the manpages patch to explain the program’s absence on
      non-x86[_64] architectures in resizecons.8.
    - Build the Spanish messages again (dropped in 1.15.3-1).
  * Treat src/loadkeys.analyze.h (generated by flex, but also shipped in the
    orig tarball) specially in debian/rules so the clean target functions
    properly and the package can be built twice in a row.
  * Use dh-autoreconf to regenerate config.guess and config.sub during the
    build process, closes: #700119.  This introduces new build-deps on
    dh-autoreconf and autopoint and removes the explicit dependencies on
    autoconf and automake.  Thanks to Colin Watson <cjwatson@ubuntu.com> for
    the hint.
  * Update the source URL and the years of publication in debian/copyright and
    add a paragraph for the added vlock code.
  * New patch loadkeys_flex_stack, taken from upstream Git: Fix a regression
    in loadkeys.analyze.l which causes some keymap files to fail to load.
  * New patch dead2 by Samuel Thibault <sthibault@debian.org> to support
    KT_DEAD2 diacritics in loadkeys and dumpkeys, closes: #694169.  Thank you
    for the patch, Samuel!
  * Drop the “Skipping font and keymap setup” message from /etc/init.d/kbd
    because it’s really somewhat silly to log what the script isn’t doing.
  * Use a canonical URL for the Vcs-Git: field.
  * Bump Standards-Version: to 3.9.4, no changes necessary.

 -- Michael Schutte <michi@debian.org>  Sun, 17 Feb 2013 19:37:26 +0100
