=== debian/control ===
Source: kbd
Section: utils
Priority: optional
Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9), dh-autoreconf,
    autopoint, linuxdoc-tools, gettext, flex, bison
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-kbd/kbd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kbd/kbd.git

Package: kbd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10)
Recommends: console-setup | console-data
Provides: console-utilities
Conflicts: console-utilities
Description: Linux console font and keytable utilities
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 You will probably want to install a set of data files, such as the one
 in the “console-data” package.

Package: kbd-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux console keyboard setup utilities
