=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 KBD_UDEB = $(TOPDIR)/debian/kbd-udeb
 
 # build these twice, once optimized for size (for kbd-udeb)
-UDEB_BINARIES = loadkeys kbd_mode setfont setvtrgb
+UDEB_BINARIES = loadkeys kbd_mode setfont
 
 # non-standard binaries to build
 EXTRA_BINARIES = screendump setlogcons setvesablank
@@ -14,7 +14,7 @@
 
 # we don’t want these in /usr/bin
 MOVE_TO_BIN = kbd_mode setfont fgconsole openvt chvt dumpkeys unicode_start loadkeys
-MOVE_TO_SBIN = kbdrate setvtrgb
+MOVE_TO_SBIN = kbdrate
 MOVE_TO_USR_SBIN = vcstime setvesablank
 
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -24,25 +24,22 @@
 endif
 
 %:
-	dh $@ --with autotools-dev
+	dh $@ --with autoreconf
 
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f Makefile ] || $(MAKE) clean
 	cd src/ && rm -f $(EXTRA_BINARIES) *-udeb
 	cd contrib/ && rm -f $(CONTRIB_BINARIES)
-	cd po/ && rm -f eo.gmo it.gmo ru.gmo
 	rm -f po/gr.po			# replaced by el.po
-	rm -f po/es.po			# erroneous
 	# force rebuilding of generated code
-	rm -f src/loadkeys.c src/loadkeys.h src/loadkeys.analyze.c
+	rm -f src/loadkeys.c src/loadkeys.h src/loadkeys.analyze.c src/loadkeys.analyze.h
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-nls
+	dh_auto_configure -- --enable-nls --disable-vlock
 
 override_dh_auto_build:
-	$(MAKE) -C po/ eo.gmo it.gmo ru.gmo
-	$(MAKE) -C src/ CFLAGS="-Os -g" $(UDEB_BINARIES)
+	$(MAKE) -C src/ CFLAGS="-Os -g" loadkeys.analyze.h $(UDEB_BINARIES)
 	cd src/ && for ITEM in $(UDEB_BINARIES); do mv $$ITEM $$ITEM-udeb; done
 	$(MAKE) -C src/ clean
 	$(MAKE)
@@ -64,13 +61,11 @@
 	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
 # configuration files
 	install -m644 debian/conffiles.d/* $(KBD)/etc/kbd/
-# initramfs
-	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
 # prepare udeb
 	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done
 
 override_dh_installinit:
-	dh_installinit -r -u"start 48 S ."
+	dh_installinit -r
 
 override_dh_installdocs:
 	dh_installdocs
